using System.Collections;
using System.Collections.Generic;
using UnityEngine;
namespace XenseAR {

public class AnchoringTargetPool : MonoSingleton<AnchoringTargetPool>
{
    Dictionary<string, GameObject> pool =  new Dictionary<string, GameObject>();

    public GameObject CreateTarget(AnchoringTarget target)
    {
        if(pool.ContainsKey(target.media.url))
        {
            return pool[target.media.url];
        }
        else
        {
            GameObject targetObject = new GameObject();
            return targetObject;
        }
    }
}
}
